Debian Bug report logs - #670353
ITP: fastqc -- quality control for next generation sequencing data

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Steffen Moeller <steffen_moeller@gmx.de>

Date: Tue, 24 Apr 2012 23:12:02 UTC

Owned by: Steffen Moeller <steffen_moeller@gmx.de>

Severity: wishlist

Fixed in version fastqc/0.10.1+dfsg-1

Done: Andreas Tille <tille@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#670353; Package wnpp. (Tue, 24 Apr 2012 23:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steffen Moeller <steffen_moeller@gmx.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 24 Apr 2012 23:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steffen Moeller <steffen_moeller@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: fastqc -- quality control for next generation sequencing data
Date: Wed, 25 Apr 2012 01:08:54 +0200
Package: wnpp
Severity: wishlist
Owner: Steffen Moeller <steffen_moeller@gmx.de>

* Package name    : fastqc
* URL             : http://www.bioinformatics.babraham.ac.uk/projects/fastqc/
* License         : GPL-3
  Programming Lang: Java
  Description     : quality control for next generation sequencing data

The Debian Med source code repository has some functional (not lintian clean) package in
trunk/packages/babraham/fastqc.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Steffen Moeller <steffen_moeller@gmx.de>:
Bug#670353; Package wnpp. (Wed, 07 Nov 2012 14:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Steffen Moeller <steffen_moeller@gmx.de>. (Wed, 07 Nov 2012 14:33:05 GMT) Full text and rfc822 format available.

Message #10 received at 670353@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Steffen Moeller <steffen_moeller@gmx.de>, 670353@bugs.debian.org
Cc: Debian Med Project List <debian-med@lists.debian.org>
Subject: Some (minimal?) Java help needed (Was: Bug#670353: ITP: fastqc -- quality control for next generation sequencing data)
Date: Wed, 7 Nov 2012 15:29:32 +0100
Hi,

I stumbled upon this one and did some work on it in

   Vcs-Svn: http://svn.debian.org/debian-med/trunk/packages/babraham/fastqc/trunk/

It is close to lintian clean now but there is some CLASSPATH issue
which is probably very easy for Java experts:

$ fastqc 
Exception in thread "main" java.lang.NoClassDefFoundError: uk/ac/babraham/FastQC/FastQCApplication
Caused by: java.lang.ClassNotFoundException: uk.ac.babraham.FastQC.FastQCApplication
        at java.net.URLClassLoader$1.run(URLClassLoader.java:217)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
Could not find the main class: uk.ac.babraham.FastQC.FastQCApplication. Program will exit.

or when trying manually what the wrapper tries to do

$ java -jar /usr/share/fastqc/fastqc.jar uk.ac.babraham.FastQC.FastQCApplication
Skipping 'uk.ac.babraham.FastQC.FastQCApplication' which didn't exist, or couldn't be read


My suspicion is that simply specifying the Main-Class in debian/manifest
is not sufficient.  Something might be wrong with the Debian home brewn
Makefile as quilt patch and ant+built.xml might do a better job to build
the Jar functionally.  Any hint for doing this properly?

Note to obtain the source as easy as possible:  Just use the uscan from

   http://anonscm.debian.org/gitweb/?p=users/tille/devscripts.git;a=blob;f=scripts/uscan.pl

to call

   uscan.pl --verbose --force-download --repack-compression xz

which gives you a properly stripped source tarball.

Kind regards and thanks for any help

       Andreas.

On Wed, Apr 25, 2012 at 01:08:54AM +0200, Steffen Moeller wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Steffen Moeller <steffen_moeller@gmx.de>
> 
> * Package name    : fastqc
> * URL             : http://www.bioinformatics.babraham.ac.uk/projects/fastqc/
> * License         : GPL-3
>   Programming Lang: Java
>   Description     : quality control for next generation sequencing data
> 
> The Debian Med source code repository has some functional (not lintian clean) package in
> trunk/packages/babraham/fastqc.
> 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Steffen Moeller <steffen_moeller@gmx.de>:
Bug#670353; Package wnpp. (Thu, 08 Nov 2012 07:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Sallou <olivier.sallou@irisa.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Steffen Moeller <steffen_moeller@gmx.de>. (Thu, 08 Nov 2012 07:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 670353@bugs.debian.org (full text, mbox):

From: Olivier Sallou <olivier.sallou@irisa.fr>
To: Debian Med Project List <debian-med@lists.debian.org>
Cc: 670353@bugs.debian.org
Subject: Re: Some (minimal?) Java help needed (Was: Bug#670353: ITP: fastqc -- quality control for next generation sequencing data)
Date: Thu, 08 Nov 2012 08:40:06 +0100
Le 11/7/12 3:29 PM, Andreas Tille a écrit :
> Hi,
>
> I stumbled upon this one and did some work on it in
>
>    Vcs-Svn: http://svn.debian.org/debian-med/trunk/packages/babraham/fastqc/trunk/
>
> It is close to lintian clean now but there is some CLASSPATH issue
> which is probably very easy for Java experts:
>
> $ fastqc 
> Exception in thread "main" java.lang.NoClassDefFoundError: uk/ac/babraham/FastQC/FastQCApplication
> Caused by: java.lang.ClassNotFoundException: uk.ac.babraham.FastQC.FastQCApplication
>         at java.net.URLClassLoader$1.run(URLClassLoader.java:217)
>         at java.security.AccessController.doPrivileged(Native Method)
>         at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
>         at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
>         at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
>         at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
> Could not find the main class: uk.ac.babraham.FastQC.FastQCApplication. Program will exit.
>
> or when trying manually what the wrapper tries to do
>
> $ java -jar /usr/share/fastqc/fastqc.jar uk.ac.babraham.FastQC.FastQCApplication
> Skipping 'uk.ac.babraham.FastQC.FastQCApplication' which didn't exist, or couldn't be read
I will have a look but:
It seems that the file with  structure
uk/ac/babraham/FastQC/FastQCApplication.class is missing in the jar file
/usr/share/fastqc/fastqc.jar (you can check content with jar -tf
/usr/share/fastqc/fastqc.jar)
>
>
> My suspicion is that simply specifying the Main-Class in debian/manifest
> is not sufficient.  Something might be wrong with the Debian home brewn
> Makefile as quilt patch and ant+built.xml might do a better job to build
> the Jar functionally.  Any hint for doing this properly?
Main-Class in manifest gives the default class to call when using java
-jar myjarfile.
If the jar needs other jar files, they need to be specified in Manifest
too or at command line in the classpath parameter.

Olivier
>
> Note to obtain the source as easy as possible:  Just use the uscan from
>
>    http://anonscm.debian.org/gitweb/?p=users/tille/devscripts.git;a=blob;f=scripts/uscan.pl
>
> to call
>
>    uscan.pl --verbose --force-download --repack-compression xz
>
> which gives you a properly stripped source tarball.
>
> Kind regards and thanks for any help
>
>        Andreas.
>
> On Wed, Apr 25, 2012 at 01:08:54AM +0200, Steffen Moeller wrote:
>> Package: wnpp
>> Severity: wishlist
>> Owner: Steffen Moeller <steffen_moeller@gmx.de>
>>
>> * Package name    : fastqc
>> * URL             : http://www.bioinformatics.babraham.ac.uk/projects/fastqc/
>> * License         : GPL-3
>>   Programming Lang: Java
>>   Description     : quality control for next generation sequencing data
>>
>> The Debian Med source code repository has some functional (not lintian clean) package in
>> trunk/packages/babraham/fastqc.
>>

-- 
Olivier Sallou
IRISA / University of Rennes 1
Campus de Beaulieu, 35000 RENNES - FRANCE
Tel: 02.99.84.71.95

gpg key id: 4096R/326D8438  (keyring.debian.org)
Key fingerprint = 5FB4 6F83 D3B9 5204 6335  D26D 78DC 68DB 326D 8438




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Steffen Moeller <steffen_moeller@gmx.de>:
Bug#670353; Package wnpp. (Thu, 08 Nov 2012 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Sallou <olivier.sallou@irisa.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Steffen Moeller <steffen_moeller@gmx.de>. (Thu, 08 Nov 2012 08:03:03 GMT) Full text and rfc822 format available.

Message #20 received at 670353@bugs.debian.org (full text, mbox):

From: Olivier Sallou <olivier.sallou@irisa.fr>
To: Debian Med Project List <debian-med@lists.debian.org>
Cc: 670353@bugs.debian.org
Subject: Re: Some (minimal?) Java help needed (Was: Bug#670353: ITP: fastqc -- quality control for next generation sequencing data)
Date: Thu, 08 Nov 2012 09:01:41 +0100
Le 11/8/12 8:40 AM, Olivier Sallou a écrit :
> Le 11/7/12 3:29 PM, Andreas Tille a écrit :
>> Hi,
>>
>> I stumbled upon this one and did some work on it in
>>
>>    Vcs-Svn: http://svn.debian.org/debian-med/trunk/packages/babraham/fastqc/trunk/
>>
>> It is close to lintian clean now but there is some CLASSPATH issue
>> which is probably very easy for Java experts:
>>
>> $ fastqc 
>> Exception in thread "main" java.lang.NoClassDefFoundError: uk/ac/babraham/FastQC/FastQCApplication
>> Caused by: java.lang.ClassNotFoundException: uk.ac.babraham.FastQC.FastQCApplication
>>         at java.net.URLClassLoader$1.run(URLClassLoader.java:217)
>>         at java.security.AccessController.doPrivileged(Native Method)
>>         at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
>>         at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
>>         at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
>>         at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
>> Could not find the main class: uk.ac.babraham.FastQC.FastQCApplication. Program will exit.
>>
>> or when trying manually what the wrapper tries to do
>>
>> $ java -jar /usr/share/fastqc/fastqc.jar uk.ac.babraham.FastQC.FastQCApplication
>> Skipping 'uk.ac.babraham.FastQC.FastQCApplication' which didn't exist, or couldn't be read
By the way, should not fastqc.jar be placed in /usr/share/java with
version symlink ?
> I will have a look but:
> It seems that the file with  structure
> uk/ac/babraham/FastQC/FastQCApplication.class is missing in the jar file
> /usr/share/fastqc/fastqc.jar (you can check content with jar -tf
> /usr/share/fastqc/fastqc.jar)
>>
>> My suspicion is that simply specifying the Main-Class in debian/manifest
>> is not sufficient.  Something might be wrong with the Debian home brewn
>> Makefile as quilt patch and ant+built.xml might do a better job to build
>> the Jar functionally.  Any hint for doing this properly?
> Main-Class in manifest gives the default class to call when using java
> -jar myjarfile.
> If the jar needs other jar files, they need to be specified in Manifest
> too or at command line in the classpath parameter.
>
> Olivier
>> Note to obtain the source as easy as possible:  Just use the uscan from
>>
>>    http://anonscm.debian.org/gitweb/?p=users/tille/devscripts.git;a=blob;f=scripts/uscan.pl
>>
>> to call
>>
>>    uscan.pl --verbose --force-download --repack-compression xz
>>
>> which gives you a properly stripped source tarball.
>>
>> Kind regards and thanks for any help
>>
>>        Andreas.
>>
>> On Wed, Apr 25, 2012 at 01:08:54AM +0200, Steffen Moeller wrote:
>>> Package: wnpp
>>> Severity: wishlist
>>> Owner: Steffen Moeller <steffen_moeller@gmx.de>
>>>
>>> * Package name    : fastqc
>>> * URL             : http://www.bioinformatics.babraham.ac.uk/projects/fastqc/
>>> * License         : GPL-3
>>>   Programming Lang: Java
>>>   Description     : quality control for next generation sequencing data
>>>
>>> The Debian Med source code repository has some functional (not lintian clean) package in
>>> trunk/packages/babraham/fastqc.
>>>

-- 
Olivier Sallou
IRISA / University of Rennes 1
Campus de Beaulieu, 35000 RENNES - FRANCE
Tel: 02.99.84.71.95

gpg key id: 4096R/326D8438  (keyring.debian.org)
Key fingerprint = 5FB4 6F83 D3B9 5204 6335  D26D 78DC 68DB 326D 8438




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Steffen Moeller <steffen_moeller@gmx.de>:
Bug#670353; Package wnpp. (Thu, 08 Nov 2012 08:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Sallou <olivier.sallou@irisa.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Steffen Moeller <steffen_moeller@gmx.de>. (Thu, 08 Nov 2012 08:30:03 GMT) Full text and rfc822 format available.

Message #25 received at 670353@bugs.debian.org (full text, mbox):

From: Olivier Sallou <olivier.sallou@irisa.fr>
To: Debian Med Project List <debian-med@lists.debian.org>
Cc: 670353@bugs.debian.org
Subject: Re: Some (minimal?) Java help needed (Was: Bug#670353: ITP: fastqc -- quality control for next generation sequencing data)
Date: Thu, 08 Nov 2012 09:26:27 +0100
[Message part 1 (text/plain, inline)]
Le 11/8/12 8:40 AM, Olivier Sallou a écrit :
> Le 11/7/12 3:29 PM, Andreas Tille a écrit :
>> Hi,
>>
>> I stumbled upon this one and did some work on it in
>>
>>    Vcs-Svn: http://svn.debian.org/debian-med/trunk/packages/babraham/fastqc/trunk/
>>
>> It is close to lintian clean now but there is some CLASSPATH issue
>> which is probably very easy for Java experts:
>>
>> $ fastqc 
>> Exception in thread "main" java.lang.NoClassDefFoundError: uk/ac/babraham/FastQC/FastQCApplication
>> Caused by: java.lang.ClassNotFoundException: uk.ac.babraham.FastQC.FastQCApplication
>>         at java.net.URLClassLoader$1.run(URLClassLoader.java:217)
>>         at java.security.AccessController.doPrivileged(Native Method)
>>         at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
>>         at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
>>         at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
>>         at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
>> Could not find the main class: uk.ac.babraham.FastQC.FastQCApplication. Program will exit.
>>
>> or when trying manually what the wrapper tries to do
>>
>> $ java -jar /usr/share/fastqc/fastqc.jar uk.ac.babraham.FastQC.FastQCApplication
>> Skipping 'uk.ac.babraham.FastQC.FastQCApplication' which didn't exist, or couldn't be read
> I will have a look but:
> It seems that the file with  structure
> uk/ac/babraham/FastQC/FastQCApplication.class is missing in the jar file
> /usr/share/fastqc/fastqc.jar (you can check content with jar -tf
> /usr/share/fastqc/fastqc.jar)
To get it work, you should fix the /usr/bin/fastq line 183 on exec to get:

exec $java_bin,@java_args,"-jar","/usr/share/fastqc/fastqc.jar", @files;

instead of

exec $java_bin,@java_args, "uk.ac.babraham.FastQC.FastQCApplication",
@files;

and same thing for system call.


>>
>> My suspicion is that simply specifying the Main-Class in debian/manifest
>> is not sufficient.  Something might be wrong with the Debian home brewn
>> Makefile as quilt patch and ant+built.xml might do a better job to build
>> the Jar functionally.  Any hint for doing this properly?
> Main-Class in manifest gives the default class to call when using java
> -jar myjarfile.
> If the jar needs other jar files, they need to be specified in Manifest
> too or at command line in the classpath parameter.
>
> Olivier
>> Note to obtain the source as easy as possible:  Just use the uscan from
>>
>>    http://anonscm.debian.org/gitweb/?p=users/tille/devscripts.git;a=blob;f=scripts/uscan.pl
>>
>> to call
>>
>>    uscan.pl --verbose --force-download --repack-compression xz
>>
>> which gives you a properly stripped source tarball.
>>
>> Kind regards and thanks for any help
>>
>>        Andreas.
>>
>> On Wed, Apr 25, 2012 at 01:08:54AM +0200, Steffen Moeller wrote:
>>> Package: wnpp
>>> Severity: wishlist
>>> Owner: Steffen Moeller <steffen_moeller@gmx.de>
>>>
>>> * Package name    : fastqc
>>> * URL             : http://www.bioinformatics.babraham.ac.uk/projects/fastqc/
>>> * License         : GPL-3
>>>   Programming Lang: Java
>>>   Description     : quality control for next generation sequencing data
>>>
>>> The Debian Med source code repository has some functional (not lintian clean) package in
>>> trunk/packages/babraham/fastqc.
>>>

-- 
Olivier Sallou
IRISA / University of Rennes 1
Campus de Beaulieu, 35000 RENNES - FRANCE
Tel: 02.99.84.71.95

gpg key id: 4096R/326D8438  (keyring.debian.org)
Key fingerprint = 5FB4 6F83 D3B9 5204 6335  D26D 78DC 68DB 326D 8438

[fastqc.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Steffen Moeller <steffen_moeller@gmx.de>:
Bug#670353; Package wnpp. (Thu, 08 Nov 2012 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Steffen Moeller <steffen_moeller@gmx.de>. (Thu, 08 Nov 2012 13:03:03 GMT) Full text and rfc822 format available.

Message #30 received at 670353@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: debian-med@lists.debian.org
Cc: 670353@bugs.debian.org
Subject: FastQC read for testing (Was: Some (minimal?) Java help needed)
Date: Thu, 8 Nov 2012 14:00:59 +0100
On Thu, Nov 08, 2012 at 01:22:52PM +0100, Olivier Sallou wrote:
> Looking at the code, I would expect to get something like:
>                
> 
> new HelpDialog(application,new File(URLDecoder.decode("/usr/share/fastqc/Help","UTF-8")));
> or
> new HelpDialog(application,new File("/usr/share/fastqc/Help");
> 
> Olivier 

I can confirm that this works (see SVN).

Any volunteer to test the lintian clean package with some real data
before I upload?  Steffen?

Kind regards

      Andreas.

-- 
http://fam-tille.de



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 20 Nov 2012 19:06:07 GMT) Full text and rfc822 format available.

Reply sent to Andreas Tille <tille@debian.org>:
You have taken responsibility. (Sun, 09 Dec 2012 16:03:03 GMT) Full text and rfc822 format available.

Notification sent to Steffen Moeller <steffen_moeller@gmx.de>:
Bug acknowledged by developer. (Sun, 09 Dec 2012 16:03:03 GMT) Full text and rfc822 format available.

Message #37 received at 670353-close@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 670353-close@bugs.debian.org
Subject: Bug#670353: fixed in fastqc 0.10.1+dfsg-1
Date: Sun, 09 Dec 2012 16:00:10 +0000
Source: fastqc
Source-Version: 0.10.1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
fastqc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670353@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Tille <tille@debian.org> (supplier of updated fastqc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 20 Nov 2012 13:38:32 +0100
Source: fastqc
Binary: fastqc
Architecture: source all
Version: 0.10.1+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Andreas Tille <tille@debian.org>
Description: 
 fastqc     - quality control for high throughput sequence data
Closes: 670353
Changes: 
 fastqc (0.10.1+dfsg-1) unstable; urgency=low
 .
   * Initial release (Closes: #670353)
Checksums-Sha1: 
 a5ad6ea0b4e2bc986fd79aa5f6a8e66aaf11f145 1481 fastqc_0.10.1+dfsg-1.dsc
 d9ac754127a5703a27e6e672c4761074028745b4 245776 fastqc_0.10.1+dfsg.orig.tar.xz
 13e4e5582f37804c4282b0e1542595a6c0f4d705 6773 fastqc_0.10.1+dfsg-1.debian.tar.gz
 31b36427e1c1add3dcbd5f45a406247d4f54f9d4 321090 fastqc_0.10.1+dfsg-1_all.deb
Checksums-Sha256: 
 668756e04694cec1bb3add0906cdd595993b378b78d3f1cb202d67c38ac8b1dc 1481 fastqc_0.10.1+dfsg-1.dsc
 ff90b0887cf4ca2ae245923230196819907acc202f9700aec01a99cc44f4962a 245776 fastqc_0.10.1+dfsg.orig.tar.xz
 181617c25d3a5900994e76f85be21fce3f55d06dc47d5db93112b6db7fe7d5f0 6773 fastqc_0.10.1+dfsg-1.debian.tar.gz
 59ed9a3d0e37cbbe475f3c30f4f71946f11f7adb05d1661b53a22fe8cd1e3d84 321090 fastqc_0.10.1+dfsg-1_all.deb
Files: 
 10feae9e3fa057c2da2b343f7e39a0b5 1481 science optional fastqc_0.10.1+dfsg-1.dsc
 04278d363b681634703189d3caca13cd 245776 science optional fastqc_0.10.1+dfsg.orig.tar.xz
 936bfe82233cef0f76358d8cd3784bd6 6773 science optional fastqc_0.10.1+dfsg-1.debian.tar.gz
 eead80395d028825d4164b6b06888ed5 321090 science optional fastqc_0.10.1+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCre2cACgkQYDBbMcCf01rrZwCfRA/JESKFqLsN38+M2IcaL8Rp
ON0AoKWA9lxOEL06f653x+sPP9ICuPUo
=29ZI
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Jan 2013 07:28:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:52:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.